## org.apache.lucene.analysis.phonetic
Class BeiderMorseFilter

    java.lang.Object
      org.apache.lucene.util.AttributeSource
          org.apache.lucene.analysis.TokenStream
              org.apache.lucene.analysis.TokenFilter
                  org.apache.lucene.analysis.phonetic.BeiderMorseFilter

All Implemented Interfaces:
  Closeable

    public final class BeiderMorseFilter

extends TokenFilter

TokenFilter for Beider-Morse phonetic encoding.

See Also:
  `BeiderMorseEncoder`
WARNING: This API is experimental and might change in incompatible ways in the next release.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.lucene.util.AttributeSource
`AttributeSource.AttributeFactory, AttributeSource.State`

Field Summary

Fields inherited from class org.apache.lucene.analysis.TokenFilter
`input`

Constructor Summary
`BeiderMorseFilter(TokenStream input, org.apache.commons.codec.language.bm.PhoneticEngine engine)` Calls `BeiderMorseFilter(TokenStream, PhoneticEngine, org.apache.commons.codec.language.bm.Languages.LanguageSet)`
`BeiderMorseFilter(TokenStream input, org.apache.commons.codec.language.bm.PhoneticEngine engine, org.apache.commons.codec.language.bm.Languages.LanguageSet languages)` Create a new BeiderMorseFilter

Method Summary
`boolean` `incrementToken()`
`void` `reset()`

Methods inherited from class org.apache.lucene.analysis.TokenFilter
`close, end`

Methods inherited from class org.apache.lucene.util.AttributeSource
`addAttribute, addAttributeImpl, captureState, clearAttributes, cloneAttributes, copyTo, equals, getAttribute, getAttributeClassesIterator, getAttributeFactory, getAttributeImplsIterator, hasAttribute, hasAttributes, hashCode, reflectAsString, reflectWith, restoreState`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BeiderMorseFilter

    public BeiderMorseFilter(TokenStream input,
                             org.apache.commons.codec.language.bm.PhoneticEngine engine)

  Calls `BeiderMorseFilter(TokenStream, PhoneticEngine, org.apache.commons.codec.language.bm.Languages.LanguageSet)`

  Parameters:
    `input` - TokenStream to filter
    `engine` - configured PhoneticEngine with BM settings.

### BeiderMorseFilter

    public BeiderMorseFilter(TokenStream input,
                             org.apache.commons.codec.language.bm.PhoneticEngine engine,
                             org.apache.commons.codec.language.bm.Languages.LanguageSet languages)

  Create a new BeiderMorseFilter

  Parameters:
    `input` - TokenStream to filter
    `engine` - configured PhoneticEngine with BM settings.
    `languages` - optional Set of original languages. Can be null (which means it will be guessed).

Method Detail

### incrementToken

    public boolean incrementToken()
                           throws IOException

  Specified by:
    `incrementToken` in class `TokenStream`
  Throws:
    `IOException`

### reset

    public void reset()
               throws IOException

  Overrides:
    `reset` in class `TokenFilter`
  Throws:
    `IOException`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.